Bug 258641 - crash loading acpi_cpufreq
crash loading acpi_cpufreq
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-27 20:48 EDT by Mark Weaver
Modified: 2008-01-08 18:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-08 18:45:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -vv for the machine (15.76 KB, text/plain)
2007-08-27 20:48 EDT, Mark Weaver
no flags Details
crash screenshot part 1 (27.60 KB, image/png)
2007-08-28 19:01 EDT, Mark Weaver
no flags Details
crash screenshot part 2 (28.35 KB, image/png)
2007-08-28 19:01 EDT, Mark Weaver
no flags Details
crash screenshot part 3 (28.08 KB, image/png)
2007-08-28 19:03 EDT, Mark Weaver
no flags Details

  None (edit)
Description Mark Weaver 2007-08-27 20:48:16 EDT
Description of problem:


Version-Release number of selected component (if applicable):

2.6.22.1-41
2.6.22.4-65

How reproducible:

every time

Steps to Reproduce:
1. boot
2. S06cpuspeed causes it
3. acpi=off solves (by disabling the module)
  
Actual results:

typed from screen capture, apologies for errors:

kernel BUG at drivers/acpi/osl.c:428!
invalid opcode: 0000 [#1]
SMP
last sysfs file: /devices/pnp0/00:00/id
Modules linked in: acpi_cpufreq dm_mirror dm_multipath dm_mod video sbs button
ock battery ac floppy snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_eve
snd_seq parport_pc snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm r8169
parport snd_timer iTCO_wdt snd iTCO_vendor_support i2c_i801 soundcore 
snd_page_alloc i2c_core rtc_cmos sg ata_generic ata_piix libata sd_mod scsi_mod
ext3 jbd mbcase ehci_hcd ohci_hcd uhci_hcd
CPU: 0
EIP: 0060:[<c050e018>] Not tainted VLI
EFLAGS: 00210297 *2.6.22.4-65.fc7 #1)
EIP is at acpi_os_write_port+0x2a/0x32
eax: 00000001 ebx: 00000832 ecx: 00000001 edx: 00000001
esi: de834cb4 edi: 00000000 ebp: 00000000 esp: de834c7c
ds: 007b es: 007b fs: 00d8 gs: 0033 ss: 0068
Process modprobe (pid: 1295, ti=de834000 task=de1d38000 task.ti=de8340000)
Stack: ...
Call Trace:
 [<e028a4d6>] acpi_cpufreq_target+0x274/0x34e [acpi_cpufreq]
 ...
 [<e007e0c5>] acpi_cpufreq_init+0xc5/0xca [acpi_cpufreq]
...

Expected results:

Should not crash

Additional info:


I can provide the rest of the trace if desired (preferably as screenshots).  I
can also reproduce/test patches/fiddle with code if pointed in the right direction.
Comment 1 Mark Weaver 2007-08-27 20:48:16 EDT
Created attachment 174781 [details]
lspci -vv for the machine
Comment 2 Chuck Ebbert 2007-08-28 18:23:55 EDT
Please post the full trace (screenshots are fine, just attach a jpeg.)
Comment 3 Mark Weaver 2007-08-28 19:01:13 EDT
Created attachment 177521 [details]
crash screenshot part 1
Comment 4 Mark Weaver 2007-08-28 19:01:47 EDT
Created attachment 177541 [details]
crash screenshot part 2
Comment 5 Mark Weaver 2007-08-28 19:03:03 EDT
Created attachment 177561 [details]
crash screenshot part 3
Comment 6 Christopher Brown 2007-09-30 09:47:56 EDT
Hello Mark,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There is a patch in the Fedora 2.6.23 kernel which outputs additional debugging
information for this issue. If you are willing and able, can you test and post
back - the line should say something like:

writing 1234 bits to port 1234

or some such.

If the problem no longer exists then please close this bug as CURRENTRELEASE
indicating what resolved it for you or I'll do so in a few days if there is no
additional information lodged.
Comment 7 Chuck Ebbert 2007-12-14 21:06:15 EST
Should be fixed by commit 49fbabf56dc715bbb51e59742e82ba762790aac0

[ACPI: Handle I/O access width requestst that are not a multiple of 8 bits]
Comment 8 Mark Weaver 2008-01-08 17:52:26 EST
Sorry for the long delay.

I have tested:

2.6.23.12-52.fc7

and the result is the same.

However I don't see any additional debug output, is there something required to
enable it?
Comment 9 Christopher Brown 2008-01-08 18:33:35 EST
Hi Mark,

The above commit was tagged for 2.6.24-rc3 so you won't see it yet. If you are
able you could pull a development kernel from rawhide and test that with:

# yum update kernel --enablerepo=development

although 2.6.24 final is just around the corner...

Cheers
Chris
Comment 10 Mark Weaver 2008-01-08 18:45:20 EST
Works fine now, thanks.

Note You need to log in before you can comment on or make changes to this bug.